source installer_vars.sh

gsettings_set_cmd="gsettings set"
control_center_cmd="gnome-terminal -- bash -c \"gnome-control-center $tab && exit\""
mkdir_cmd="mkdir -p"

gsettings_set_option() {
    scheme=$1
    key=$2
    value=$3

    $gsettings_set_cmd $scheme $key $value
}

control_center_set_option() {
    tab=$1

    gnome-terminal -- bash -c "gnome-control-center $tab && exit"
}

setup_dark_mode() { # todo, settings -> appereance must be opened to apply
    gsettings_set_option org.gnome.desktop.interface color-scheme 'prefer-dark'

    control_center_set_option 'ubuntu' #appereance tab
}

setup_idle_delay() { # todo, settings -> power must be opened to apply
    gsettings_set_option org.gnome.desktop.session idle-delay 0

    control_center_set_option 'power'
}

setup_paths() {
    $mkdir_cmd $projects_path
    $mkdir_cmd $portable_programs_path
    $mkdir_cmd $tmp_path
}

setup_swap() {
    swap_path="/swap"
    swap_file="$swap_path/swapfile0"

    sudo $mkdir_cmd $swap_path
    read -p "swap size (e.g. 50G): " swap_size
    sudo fallocate -l $swap_size $swap_file
    sudo chmod 600 $swap_file
    sudo mkswap $swap_file
    echo "$swap_file none swap sw 0 0" | sudo tee -a /etc/fstab
    sudo swapon $swap_file
}
