source source_if_options_not_sourced.sh
source install_functions.sh
source setup_functions.sh
source_if_options_not_sourced

check_if_root

items=29
selected_tags=$(whiptail "Select options" --checklist --notags $(($items + 10)) 100 $items \
$firefox_key "$firefox_label" $firefox_enabled \
$vs_code_key "$vs_code_label" $vs_code_enabled \
$spotify_key "$spotify_label" $spotify_enabled \
$gimp_key "$gimp_label" $gimp_enabled \
$curl_key "$curl_label" $curl_enabled \
$kdiff3_key "$kdiff3_label" $kdiff3_enabled \
$git_key "$git_label" $git_enabled \
$mono_complete_key "$mono_complete_label" $mono_complete_enabled \
$virtualbox_key "$virtualbox_label" $virtualbox_enabled \
$vlc_key "$vlc_label" $vlc_enabled \
$docker_io_key "$docker_io_label" $docker_io_enabled \
$kubectl_key "$kubectl_label" $kubectl_enabled \
$net_tools_key "$net_tools_label" $net_tools_enabled \
$k3d_key "$k3d_label" $k3d_enabled \
$git_extensions_key "$git_extensions_label" $git_extensions_enabled \
$set_dark_theme_key "$set_dark_theme_label" $set_dark_theme_enabled \
$set_idle_delay_key "$set_idle_delay_label" $set_idle_delay_enabled \
$flameshot_key "$flameshot_label" $flameshot_enabled \
$intellij_idea_key "$intellij_idea_label" $intellij_idea_enabled \
$linssid_key "$linssid_label" $linssid_enabled \
$docker_ce_key "$docker_ce_label" $docker_ce_enabled \
$dl_driver_key "$dl_driver_label" $dl_driver_enabled \
$obsidian_key "$obsidian_label" $obsidian_enabled \
$staruml_key "$staruml_label" $staruml_enabled \
$node_key "$node_label" $node_enabled \
$webstorm_key "$webstorm_label" $webstorm_enabled \
$dotnet_key "$dotnet_label" $dotnet_enabled \
$ilspy_key "$ilspy_label" $ilspy_enabled \
$android_studio_key "$android_studio_label" $android_studio_enabled \
$pip_key "$pip_label" $pip_enabled \
$virtualenv_key "$virtualenv_label" $virtualenv_enabled \
$rider_key "$rider_label" $rider_enabled \
$nextcloud_client_key "$nextcloud_client_label" $nextcloud_client_enabled \
$nano_key "$nano_label" $nano_enabled \
$element_desktop_key "$element_desktop_label" $element_desktop_enabled \
$dconf_editor_key "$dconf_editor_label" $dconf_editor_enabled \
$openssh_server_key "$openssh_server_label" $openssh_server_enabled \
$openconnect_key "$openconnect_label" $openconnect_enabled \
$protonvpn_key "$protonvpn_label" $protonvpn_enabled \
$flatseal_key "$flatseal_label" $flatseal_enabled \
$swap_key "$swap_label" $swap_enabled \
3>&1 1>&2 2>&3)
IFS=' ' read -a selected_options <<< $selected_tags

update_upgrade
setup_paths

for selected_option in "${selected_options[@]}"
do
    option="${selected_option%\"}"
    option="${option#\"}"

    if [ $option = $firefox_key ]
    then
        install_firefox
    elif [ $option = $vs_code_key ]
    then
        install_vs_code
    elif [ $option = $spotify_key ]
    then
        install_spotify
    elif [ $option = $gimp_key ]
    then
        install_gimp
    elif [ $option = $curl_key ]
    then
        install_curl
    elif [ $option = $kdiff3_key ]
    then
        install_kdiff3
    elif [ $option = $git_key ]
    then
        install_git
    elif [ $option = $mono_complete_key ]
    then
        install_mono_complete
    elif [ $option = $virtualbox_key ]
    then
        install_virtualbox
    elif [ $option = $vlc_key ]
    then
        install_vlc
    elif [ $option = $docker_io_key ]
    then
        install_docker
    elif [ $option = $kubectl_key ]
    then
        install_kubectl
    elif [ $option = $net_tools_key ]
    then
        install_net_tools
    elif [ $option = $k3d_key ]
    then
        install_k3d
    elif [ $option = $git_extensions_key ]
    then
        install_git_extensions
    elif [ $option = $set_dark_theme_key ]
    then
        setup_dark_mode
    elif [ $option = $set_idle_delay_key ]
    then
        setup_idle_delay
    elif [ $option = $flameshot_key ]
    then
        install_flameshot
    elif [ $option = $intellij_idea_key ]
    then
        install_intellij_idea
    elif [ $option = $linssid_key ]
    then
        install_linssid
    elif [ $option = $docker_ce_key ]
    then
        install_docker_ce
    elif [ $option = $dl_driver_key ]
    then
        install_dl_driver
    elif [ $option = $obsidian_key ]
    then
        install_obsidian
    elif [ $option = $staruml_key ]
    then
        install_staruml
    elif [ $option = $node_key ]
    then
        install_node
    elif [ $option = $webstorm_key ]
    then
        install_webstorm
    elif [ $option = $dotnet_key ]
    then
        install_dotnet
    elif [ $option = $ilspy_key ]
    then
        install_ilspy
    elif [ $option = $android_studio_key ]
    then
        install_android_studio
    elif [ $option = $pip_key ]
    then
        install_pip
    elif [ $option = $virtualenv_key ]
    then
        install_virtualenv
    elif [ $option = $rider_key ]
    then
        install_rider
    elif [ $option = $nextcloud_client_key ]
    then
        install_nextcloud_client
    elif [ $option = $nano_key ]
    then
        install_nano
    elif [ $option = $element_desktop_key ]
    then
        install_element_desktop
    elif [ $option = $dconf_editor_key ]
    then
        install_dconf_editor
    elif [ $option = $openssh_server_key ]
    then
        install_dconf_editor
    elif [ $option = $openconnect_key ]
    then
        install_openconnect
    elif [ $option = $protonvpn_key ]
    then
        install_protonvpn
    elif [ $option = $flatseal_key ]
    then
        install_flatseal
    elif [ $option = $swap_key ]
    then
        setup_swap
    fi
done
